Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.campaign.model
Enum AdCountGoal.CountType

    java.lang.Object
      java.lang.Enum<AdCountGoal.CountType>
          com.bea.campaign.model.AdCountGoal.CountType

All Implemented Interfaces
  Serializable, Comparable<AdCountGoal.CountType>

Enclosing class:
  AdCountGoal

    public static enum AdCountGoal.CountType

extends Enum<AdCountGoal.CountType>

The type of goal event.

Enum Constant Summary
`CLICK_THRU` Constant for click-thru counts.
`IMPRESSION` Constant for impression counts.

Method Summary
`String` | `toDisplayString()` Get a display string for this, localized to the java vm's default locale.
`static AdCountGoal.CountType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AdCountGoal.CountType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMPRESSION

    public static final AdCountGoal.CountType IMPRESSION

  Constant for impression counts.

### CLICK_THRU

    public static final AdCountGoal.CountType CLICK_THRU

  Constant for click-thru counts.

Method Detail

### values

    public static final AdCountGoal.CountType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static AdCountGoal.CountType valueOf(String name)

  Returns the enum constant of this type with the specified name.

### toDisplayString

    public String toDisplayString()

  Get a display string for this, localized to the java vm's default locale.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.